Bug 485973 - Review Request: maxr - A classic turn-based strategy game
Review Request: maxr - A classic turn-based strategy game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 13:54 EST by Stefan Posdzich
Modified: 2009-03-01 18:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-22 15:52:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stefan Posdzich 2009-02-17 13:54:10 EST
Spec URL: http://cheekyboinc.spielen-unter-linux.de/maxr.spec
SRPM URL: http://cheekyboinc.spielen-unter-linux.de/maxr-0.2.4-1.fc10.src.rpm

Description:

M.A.X.R. (Mechanized Assault and eXploration Reloaded) is a fanmade strategy 
game by the community of maxr.org. MAXR is OpenSource and a remake of
the old M.A.X.by Interplay from 1996 featuring network games based on TCP/IP 
(e.g. over the internet). The game can be played in a turn-based mode (with or 
without time limit), or simultaneous mode (all the players take their turns at 
the same time), and features combat in air, land, and sea. Three resources are 
present on the maps - Raw Materials, which are needed to manufacture units, 
structures and ammunition, Fuel, which power generators need to function, and 
Gold, which is used to purchase upgrades. This game is a mix of realtime and 
turnbased strategy with battle chess character.
Comment 1 Jochen Schmitt 2009-02-18 15:19:58 EST
Good:
+ Base name of SPEC file matches with package name
+ Download of the upstream tar ball via spectool -g works fine
+ Packaged tar ball matches with upstream
(md5sum: e9ff4a514f08579283e55cfdedff171b)
+ Package contains License tag with GPLv2+ as an valid OSS license
+ Package contains verbatin copy of the license tag
+ Package contains no subpackages
+ Buildroot definition is ok.
+ Buildroot will been deleted at the beginning of %clean and %install
+ Rpmlint silient for source package
+ Package use parallel build
+ Local build works fine.
+ Package honor optflags
+ Rpmlint is silent for binary package
+ Rpmlint is silent for debuginfo package
+ Debuginfo package contains source files
* Package create desktop-info file
+ Local install works fine
+ Start of the applications works without a crash
+ Local uninstall works fine
+ Files permission on the %files stanza are ok.
+ %file stanza has no duplicated entries
+ Packaged files are owh by the package
+ %doc stanza is small, so we need no separate subpackage
+ %changelog stanza has proper format.

Bad:
- Please add FDL as an additional license on the license tag
- If we remove the automake command, we could remove BR automake, 
autoconf and libtool
- Please start the Menuname with an uppercase.
- Build on koji failed (http://koji.fedoraproject.org/koji/taskinfo?taskID=1136545)

Question:
* Why to you call automake, if you not patch the Makefile.am files
Comment 2 Stefan Posdzich 2009-02-18 16:13:41 EST
Spec URL: http://cheekyboinc.spielen-unter-linux.de/maxr.spec
SRPM URL: http://cheekyboinc.spielen-unter-linux.de/maxr-0.2.4-2.fc10.src.rpm

automake was obsolete, so i removed it and the BR. automake was used in older releases of maxr. The other points are also fixed.

Thank you for your comment!
Comment 3 Jochen Schmitt 2009-02-18 16:35:21 EST
Good:
+ Menü looks fine.
+ Automake and autoconf stuff are removed.
+ Koji build works fine.

Bad:
- PleasGood:
+ Menü looks fine.
+ Automake and autoconf stuff are removed.


Bad:
- Please write GPLv2+ and GFDL on the license tag. This is not a dual-licensing case
e write GPLv2+ and GFDL on the license tag. This is not a dual-licensing case

If you fix this last minor complaint, you are APPROVED
Comment 4 Stefan Posdzich 2009-02-18 16:40:18 EST
New Package CVS Request
=======================
Package Name: maxr
Short Description: A classic turn-based strategy game
Owners: cheekyboinc
Branches: F-9 F-10
Comment 5 Kevin Fenzi 2009-02-19 15:21:47 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.